Comment 50 for bug 855124

No, only this patch. The other patches are not necessary anymore.